﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.Diagnostics;

public class Performance : MonoBehaviour {

	public static Performance instance;

	public Text performanceTxt;
	public Text shootingTxt;
	
	private Stopwatch sw;

	private ulong bulletTimes;
	private ulong bulletTimerTotal;

	void Awake() {
		instance = this;
	}

	private void Start() {
		sw = new Stopwatch();

		sw.Start();
	}

	// Update is called once per frame
	void Update () {
		sw.Stop();

		performanceTxt.text = sw.ElapsedMilliseconds.ToString();

		sw.Reset();
		sw.Start();
	}

	public void ShootingPerformance(long time) {
		bulletTimes++;
		bulletTimerTotal += (ulong)time;

		//shootingTxt.text = (bulletTimerTotal / bulletTimes).ToString();
		shootingTxt.text = time.ToString();
	}
}
